> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit KYC data

> Get Swipelux KYC verification link.



## OpenAPI

````yaml /openapi.json post /api/v1/user/kyc_link
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/user/kyc_link:
    post:
      tags:
        - User
      summary: Submit KYC data
      description: Get Swipelux KYC verification link.
      operationId: submit_kyc_api_v1_user_kyc_link_post
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KycStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    KycStatusResponse:
      properties:
        provider:
          $ref: '#/components/schemas/FiatProvider'
        externalUserId:
          anyOf:
            - type: string
            - type: 'null'
          title: Externaluserid
        email:
          type: string
          title: Email
        status:
          anyOf:
            - $ref: '#/components/schemas/KycStatus'
            - type: 'null'
        kycStatus:
          $ref: '#/components/schemas/KycStatus'
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        entityName:
          anyOf:
            - type: string
            - type: 'null'
          title: Entityname
        kycLink:
          anyOf:
            - type: string
            - type: 'null'
          title: Kyclink
        kycUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Kycurl
        contactSupportLink:
          type: string
          title: Contactsupportlink
          default: https://app.gethevn.com/chat
      type: object
      required:
        - provider
        - email
        - kycStatus
      title: KycStatusResponse
      description: Response schema for KYC status check.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FiatProvider:
      type: string
      enum:
        - swipelux
        - align
        - mcp
        - wirex
      title: FiatProvider
      description: Supported fiat payment providers.
    KycStatus:
      type: string
      enum:
        - not_started
        - requested
        - incorporating
        - pending
        - under_review
        - in_review
        - approved
        - rejected
      title: KycStatus
      description: KYC verification status.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````